### YamlMime:ManagedReference
items:
- uid: Voile.Resources.DataReaders
  commentId: N:Voile.Resources.DataReaders
  id: Voile.Resources.DataReaders
  children:
  - Voile.Resources.DataReaders.IDataValidator
  - Voile.Resources.DataReaders.IStreamDataReader
  - Voile.Resources.DataReaders.IStreamKeyValueGetter
  - Voile.Resources.DataReaders.TomlDataReader
  langs:
  - csharp
  - vb
  name: Voile.Resources.DataReaders
  nameWithType: Voile.Resources.DataReaders
  fullName: Voile.Resources.DataReaders
  type: Namespace
  assemblies:
  - Voile
references:
- uid: Voile.Resources.DataReaders.IStreamDataReader
  commentId: T:Voile.Resources.DataReaders.IStreamDataReader
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IStreamDataReader.html
  name: IStreamDataReader
  nameWithType: IStreamDataReader
  fullName: Voile.Resources.DataReaders.IStreamDataReader
- uid: Voile.Resources.DataReaders.IDataValidator
  commentId: T:Voile.Resources.DataReaders.IDataValidator
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IDataValidator.html
  name: IDataValidator
  nameWithType: IDataValidator
  fullName: Voile.Resources.DataReaders.IDataValidator
- uid: Voile.Resources.DataReaders.IStreamKeyValueGetter
  commentId: T:Voile.Resources.DataReaders.IStreamKeyValueGetter
  parent: Voile.Resources.DataReaders
  href: Voile.Resources.DataReaders.IStreamKeyValueGetter.html
  name: IStreamKeyValueGetter
  nameWithType: IStreamKeyValueGetter
  fullName: Voile.Resources.DataReaders.IStreamKeyValueGetter
- uid: Voile.Resources.DataReaders.TomlDataReader
  commentId: T:Voile.Resources.DataReaders.TomlDataReader
  href: Voile.Resources.DataReaders.TomlDataReader.html
  name: TomlDataReader
  nameWithType: TomlDataReader
  fullName: Voile.Resources.DataReaders.TomlDataReader
- uid: Voile.Resources.DataReaders
  commentId: N:Voile.Resources.DataReaders
  href: Voile.html
  name: Voile.Resources.DataReaders
  nameWithType: Voile.Resources.DataReaders
  fullName: Voile.Resources.DataReaders
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
